Get Devices Import Status
curl --request GET \
--url https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id} \
--header 'x-api-key: <x-api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}"
headers = {
"x-api-key": "<x-api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>",
"x-workspace-id: <x-workspace-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("x-workspace-id", "<x-workspace-id>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}")
.header("x-api-key", "<x-api-key>")
.header("x-workspace-id", "<x-workspace-id>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
request["x-workspace-id"] = '<x-workspace-id>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Import status retrieved successfully",
"data": {
"import_id": "68f0c1a2b3c4d5e6f7a8b9c2",
"status": "in-progress",
"total": 1000,
"processed": 420,
"created": 300,
"updated": 100,
"skipped": 10,
"failed": 10,
"percentage": 42.0,
"file_url": "https://files.example.com/devices.csv",
"error_file_url": "https://signed-url.example.com/errors.csv"
}
}
{
"success": false,
"message": "invalid import_id"
}
{
"error": true,
"message": "Unauthorized"
}
{
"success": false,
"message": "import not found"
}
Devices
Get Devices Import Status
Retrieve devices import job status, counters, and error file URL
GET
/
api
/
data
/
devices
/
v1
/
import
/
{import_id}
Get Devices Import Status
curl --request GET \
--url https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id} \
--header 'x-api-key: <x-api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}"
headers = {
"x-api-key": "<x-api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>",
"x-workspace-id: <x-workspace-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("x-workspace-id", "<x-workspace-id>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}")
.header("x-api-key", "<x-api-key>")
.header("x-workspace-id", "<x-workspace-id>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
request["x-workspace-id"] = '<x-workspace-id>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Import status retrieved successfully",
"data": {
"import_id": "68f0c1a2b3c4d5e6f7a8b9c2",
"status": "in-progress",
"total": 1000,
"processed": 420,
"created": 300,
"updated": 100,
"skipped": 10,
"failed": 10,
"percentage": 42.0,
"file_url": "https://files.example.com/devices.csv",
"error_file_url": "https://signed-url.example.com/errors.csv"
}
}
{
"success": false,
"message": "invalid import_id"
}
{
"error": true,
"message": "Unauthorized"
}
{
"success": false,
"message": "import not found"
}
Description
Returns counters and, when present, a signed error CSV URL for a devices import job. Same status payload as events import. See CSV Import Introduction for statuses and polling guidance.Headers
Path Parameters
Response
{
"success": true,
"message": "Import status retrieved successfully",
"data": {
"import_id": "68f0c1a2b3c4d5e6f7a8b9c2",
"status": "in-progress",
"total": 1000,
"processed": 420,
"created": 300,
"updated": 100,
"skipped": 10,
"failed": 10,
"percentage": 42.0,
"file_url": "https://files.example.com/devices.csv",
"error_file_url": "https://signed-url.example.com/errors.csv"
}
}
{
"success": false,
"message": "invalid import_id"
}
{
"error": true,
"message": "Unauthorized"
}
{
"success": false,
"message": "import not found"
}